# $Revision: 1.5 $, $Date: 2012/01/07 23:22:56 $
%define 	module	amqplib
Summary:	Client library for AMQP (Advanced Message Queuing Protocol)
Name:		python-%{module}
Version:	1.0.2
Release:	1
License:	LGPL v2.1
Group:		Development/Languages/Python
Source0:	http://pypi.python.org/packages/source/a/%{module}/%{module}-%{version}.tgz
# Source0-md5:	5c92f17fbedd99b2b4a836d4352d1e2f
URL:		http://code.google.com/p/py-amqplib/
BuildRequires:	python-distribute
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.219
Requires:	python-modules
Requires:	python-pyparsing
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Client library for AMQP (Advanced Message Queuing Protocol).

%prep
%setup -q -n %{module}-%{version}

%build
%{__python} setup.py build

%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install \
	--skip-build \
	--optimize=2 \
	--root=$RPM_BUILD_ROOT

%py_postclean

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README* TODO
%{py_sitescriptdir}/%{module}
%if "%{py_ver}" > "2.4"
%{py_sitescriptdir}/%{module}-*.egg-info
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: python-amqplib.spec,v $
Revision 1.5  2012/01/07 23:22:56  zbyniu
- rel 1

Revision 1.4  2011/12/02 21:39:39  zbyniu
- up to 1.0.2

Revision 1.3  2011/05/26 13:46:57  zbyniu
- proper summary, desc, license

Revision 1.2  2011/05/25 08:27:53  glen
- cleanup empty scriptlets, don't overwrite with empty translation

Revision 1.1  2011/05/25 07:42:02  cieciwa
- initial.
